# Generated from midnight-business_logic-0.0.4.gem by gem2rpm -*- rpm-spec -*-
%global gem_name midnight-business_logic

Name: rubygem-%{gem_name}
Version: 0.0.4
Release: 1%{?dist}
Summary: A toolkit for writing enterprise business logic
License: BSD-3-Clause
URL: https://gitlab.com/slime-systems/midnight-enterprise-toolkit/tree/master/midnight-business_logic
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
Midnight::BusinessLogic is a toolkit for writing clean and robust business
logics agnostic to frameworks, user interfaces, and data storage. Make the
business logic fully testable and provides isolation from external side
effects.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}


%changelog
* Tue Sep 14 2021 mockbuilder - 0.0.4-1
- Initial package
